## ros-humble-beluga-amcl 2.0.2

=== debian/changelog ===
ros-humble-beluga-amcl (2.0.2-1bookworm) bookworm; urgency=high

  * Expand grid concepts to n dimensions (#396 <https://github.com/Ekumen-OS/beluga/issues/396>)
  * Change NDT sensor model default params (#397 <https://github.com/Ekumen-OS/beluga/issues/397>)
  * Contributors: Ramiro Serra

 -- Gerardo Puga <glpuga@ekumenlabs.com>  Mon, 17 Jun 2024 16:00:00 -0000

ros-humble-beluga-amcl (2.0.1-1bookworm) bookworm; urgency=high



 -- Gerardo Puga <glpuga@ekumenlabs.com>  Thu, 23 May 2024 16:00:00 -0000

ros-humble-beluga-amcl (2.0.0-1bookworm) bookworm; urgency=high

  * Please clang-tidy on Ubuntu Noble (#379 <https://github.com/Ekumen-OS/beluga/issues/379>)
  * Add ROS 2 Jazzy to CI/CD and dev workflows (#378 <https://github.com/Ekumen-OS/beluga/issues/378>)
  * Restore particle cloud visualization using markers (#377 <https://github.com/Ekumen-OS/beluga/issues/377>)
  * Enable beluga_amcl ROS 2 nodes' autostart (#376 <https://github.com/Ekumen-OS/beluga/issues/376>)
  * Use geometry_msgs::msg::PoseArray instead of nav2_msgs::msg::ParticleCloud (#372 <https://github.com/Ekumen-OS/beluga/issues/372>)
  * Fix tf broadcasting (#375 <https://github.com/Ekumen-OS/beluga/issues/375>)
  * Remove ament_index_cpp dependency (#374 <https://github.com/Ekumen-OS/beluga/issues/374>)
  * Improve ROS version detection logic (#366 <https://github.com/Ekumen-OS/beluga/issues/366>)
  * Add example for NDT sensor model in beluga_example (#360 <https://github.com/Ekumen-OS/beluga/issues/360>)
  * Add NDT AMCL node and tests. (#347 <https://github.com/Ekumen-OS/beluga/issues/347>)
  * Unify Beluga documentation (#346 <https://github.com/Ekumen-OS/beluga/issues/346>)
  * Add death tests and build in debug mode (#323 <https://github.com/Ekumen-OS/beluga/issues/323>)
  * Migrate beluga_amcl to the new API (#328 <https://github.com/Ekumen-OS/beluga/issues/328>)
  * Relocate make_random_state() method (#324 <https://github.com/Ekumen-OS/beluga/issues/324>)
  * Make test matchers and printers available to users (#300 <https://github.com/Ekumen-OS/beluga/issues/300>)
  * Motion and sensor models are not mixins (#291 <https://github.com/Ekumen-OS/beluga/issues/291>)
  * Integrate views with mixins (#284 <https://github.com/Ekumen-OS/beluga/issues/284>)
  * Transform points in laser frame to robot frame (#276 <https://github.com/Ekumen-OS/beluga/issues/276>)
  * Generalize planar laser scan support (#271 <https://github.com/Ekumen-OS/beluga/issues/271>)
  * Add new discrete landmark and bearing sensor models to the beluga library (#268 <https://github.com/Ekumen-OS/beluga/issues/268>)
  * Add beluga_ros package (#270 <https://github.com/Ekumen-OS/beluga/issues/270>)
  * Make particle cloud message weights represent pdf (#260 <https://github.com/Ekumen-OS/beluga/issues/260>)
  * Add updated performance report (#255 <https://github.com/Ekumen-OS/beluga/issues/255>)
  * Fix missing control to force a filter update on pose updates (#248 <https://github.com/Ekumen-OS/beluga/issues/248>)
  * Change default AMCL params (#244 <https://github.com/Ekumen-OS/beluga/issues/244>)
  * Format pre-commit hook configuration (#245 <https://github.com/Ekumen-OS/beluga/issues/245>)
  * Add cmake-format to pre-commit hooks (#243 <https://github.com/Ekumen-OS/beluga/issues/243>)
  * Rename motion models in Beluga AMCL for ROS 1 (#242 <https://github.com/Ekumen-OS/beluga/issues/242>)
  * Replace ament_copyright with local script (#240 <https://github.com/Ekumen-OS/beluga/issues/240>)
  * Remove ament_flake8 from pre-commit hooks (#237 <https://github.com/Ekumen-OS/beluga/issues/237>)
  * Remove uncrustify and cpplint from pre-commit hooks (#236 <https://github.com/Ekumen-OS/beluga/issues/236>)
  * Refactor resampling policies into filter update control (#233 <https://github.com/Ekumen-OS/beluga/issues/233>)
  * Add ROS 2 Rolling CI infrastructure (#222 <https://github.com/Ekumen-OS/beluga/issues/222>)
  * Add ROS Noetic support to beluga_amcl (#218 <https://github.com/Ekumen-OS/beluga/issues/218>)
  * Fix flaky transform test (#220 <https://github.com/Ekumen-OS/beluga/issues/220>)
  * Fix map to odom transform calculation (#212 <https://github.com/Ekumen-OS/beluga/issues/212>)
  * Add new report after recent performance updates (#208 <https://github.com/Ekumen-OS/beluga/issues/208>)
  * Fix small issues with plotter and update MessageFilter tolerance before generating new report
  * Disable branch and function coverage (#205 <https://github.com/Ekumen-OS/beluga/issues/205>)
  * Change default threading mode to the less cpu-consuming one (#203 <https://github.com/Ekumen-OS/beluga/issues/203>)
  * Optimize beam sensor model runtime performance (#200 <https://github.com/Ekumen-OS/beluga/issues/200>)
  * Add AMCL parameter reference page (#196 <https://github.com/Ekumen-OS/beluga/issues/196>)
  * Add tests for the AMCL node (#194 <https://github.com/Ekumen-OS/beluga/issues/194>)
  * Add support for map updates in laser localization filters (#189 <https://github.com/Ekumen-OS/beluga/issues/189>)
  * Add performance report for latest version with minor fixes to scripts (#193 <https://github.com/Ekumen-OS/beluga/issues/193>)
  * Rework occupancy grids (#188 <https://github.com/Ekumen-OS/beluga/issues/188>)
  * Improve documentation and guidelines (#186 <https://github.com/Ekumen-OS/beluga/issues/186>)
  * Initialize particle filter with last known estimate (#185 <https://github.com/Ekumen-OS/beluga/issues/185>)
  * Add service to reinitialize global localization (#157 <https://github.com/Ekumen-OS/beluga/issues/157>)
  * Update license year to 2023 (#175 <https://github.com/Ekumen-OS/beluga/issues/175>)
  * Add beam sensor model (#160 <https://github.com/Ekumen-OS/beluga/issues/160>)
  * Rename importance_sample method to reweight (#158 <https://github.com/Ekumen-OS/beluga/issues/158>)
  * Add support for per-axis resolution when clustering (#146 <https://github.com/Ekumen-OS/beluga/issues/146>)

