=== debian/control ===
Source: ros-humble-beluga-amcl
Section: misc
Priority: optional
Maintainer: Gerardo Puga <glpuga@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-beluga, ros-humble-beluga-ros, ros-humble-bondcpp, ros-humble-message-filters, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-beluga-amcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-beluga, ros-humble-beluga-ros, ros-humble-bondcpp, ros-humble-message-filters, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-std-srvs, ros-humble-ros-workspace
Description: An AMCL node implementation for ROS2 using Beluga.
